pipeline {
    agent any
    parameters {
        booleanParam(name: 'first',
        defaultValue: false,
        description: 'for first')
        booleanParam(name: 'second',
        defaultValue: false,
        description: 'for second')
        booleanParam(name: 'third',
        defaultValue: false,
        description: 'for third')
    }
    stages {
        
        stage('First') {
            when {
                environment name: 'first', value: 'true'
            }
            steps {
                git credentialsId: 'git_Id_password', url: 'https://gitlab.com/gitesh.satywali/testjavaapp.git'
            }
        }
   
        stage('Second'){
            when {
                environment name: 'second', value: 'true'
            }
            steps {
                sh label: '', script: 'mvn install'
                sh label: '', script: 'ls'
            }
        }
   
        stage('Third'){
            when {
                environment name: 'third', value: 'true'
            }
            steps {
                sh label: '', script: 'mvn test'
                sh label: '', script: 'ls'
            }
        }
    }
}